Bug 1299745 - /usr/lib/xen/bin/qemu-system-i386 missing
/usr/lib/xen/bin/qemu-system-i386 missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 03:01 EST by Panormitis Petrou
Modified: 2016-05-28 19:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: xen-4.6.1-8.fc24 xen-4.5.3-5.fc22 xen-4.5.3-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-28 19:22:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panormitis Petrou 2016-01-19 03:01:40 EST
Description of problem:
Install Xen and try to crate a virtual machine with virt-manager.
On hardware details -> Overview, you'll see: Emulator: /usr/lib/xen/bin/qemu-system-i386
However qemu-system-i386 doesn't exist, so the virtual machine won't work.
If I do: "dnf provides /usr/lib/xen/bin/qemu-system-i386" no suitable package can be found.

Temporary workaround:
cd /usr/lib/xen/bin
ln -s qemu-dm qemu-system-i386
Comment 1 Dario Faggioli 2016-05-11 07:44:41 EDT
Just hit this as well!

$ rpm -qi xen-hypervisor
Name        : xen-hypervisor
Version     : 4.5.3
Release     : 2.fc23
Architecture: x86_64

$ rpm -qi xen-libs
Name        : xen-libs
Version     : 4.5.3
Release     : 2.fc23
Architecture: x86_64

$ rpm -qi libvirt-daemon
Name        : libvirt-daemon
Version     : 1.2.18.2
Release     : 3.fc23
Architecture: x86_64

$ rpm -qi libvirt-daemon-driver-libxl 
Name        : libvirt-daemon-driver-libxl
Version     : 1.2.18.2
Release     : 3.fc23
Architecture: x86_64

$ rpm -qi virt-manager
Name        : virt-manager
Version     : 1.3.2
Release     : 2.fc23
Architecture: noarch

When trying to create a guest (starting a new install from CD-ROM), virt-manager logs this:

Unable to complete install: 'unsupported configuration: emulator '/usr/lib/xen/bin/qemu-system-i386' not found'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 90, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 2277, in _do_async_install
    guest.start_install(meter=meter)
  File "/usr/share/virt-manager/virtinst/guest.py", line 501, in start_install
    noboot)
  File "/usr/share/virt-manager/virtinst/guest.py", line 416, in _create_guest
    dom = self.conn.createLinux(start_xml or final_xml, 0)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 3585, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: unsupported configuration: emulator '/usr/lib/xen/bin/qemu-system-i386' not found
Comment 2 Fedora Update System 2016-05-11 19:06:07 EDT
xen-4.6.1-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a21b2cb7a0
Comment 3 Fedora Update System 2016-05-12 13:48:00 EDT
xen-4.5.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-beba065b97
Comment 4 Fedora Update System 2016-05-12 18:27:33 EDT
xen-4.6.1-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a21b2cb7a0
Comment 5 Fedora Update System 2016-05-12 18:31:41 EDT
xen-4.5.3-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a54261a145
Comment 6 Fedora Update System 2016-05-16 11:21:31 EDT
xen-4.5.3-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a54261a145
Comment 7 Fedora Update System 2016-05-16 11:24:19 EDT
xen-4.5.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-beba065b97
Comment 8 Fedora Update System 2016-05-16 12:19:41 EDT
xen-4.6.1-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-05-17 18:05:42 EDT
xen-4.5.3-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-19c82866bb
Comment 10 Fedora Update System 2016-05-17 18:25:41 EDT
xen-4.5.3-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8fd9019541
Comment 11 Fedora Update System 2016-05-20 21:24:03 EDT
xen-4.5.3-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8fd9019541
Comment 12 Fedora Update System 2016-05-20 22:28:57 EDT
xen-4.5.3-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-19c82866bb
Comment 13 Fedora Update System 2016-05-28 19:21:41 EDT
xen-4.5.3-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-05-28 19:55:06 EDT
xen-4.5.3-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.